import pandas as pd
import networkx as nx

def loadData(input: str) -> pd.DataFrame:
    data = pd.read_csv(input, sep=',')
    return data

def groupByMatch(data: pd.DataFrame) -> pd.DataFrame:
    grouped = data.groupby('match')
    return grouped

def loadAndGroup(input: str) -> pd.DataFrame:
    data = loadData(input)
    grouped = groupByMatch(data)
    return grouped

def group2Graph(group: pd.DataFrame) -> nx.Graph:
    G = nx.Graph()
    for i in range(len(group)):
            G.add_edge(group.iloc[i, 1], group.iloc[i, 2])
    return G

def group2Graphs(grouped: pd.DataFrame) -> list:
    graphs = []
    for name, group in grouped:
        print("\rProcessing match: ", name, end="")
        graphs.append(group2Graph(group))
    return graphs